/**
 * 当前节点枚举，定义流程中的不同节点类型
 *
 * @version 1.0
 * @since 2025
 */
package com.xdap.self_development.domain.enums;

import lombok.Getter;

@Getter
public enum CurrentNodeEnum {

    /**
     * 数据维护
     */
    REPAIR("数据维护"),
    /**
     * 任务分解
     */
    JOBSPLIT("任务分解"),
    /**
     * 数据审批
     */
    DATAAPPROVAL("数据审批");
    /**
     * 描述
     */
    private final String desc;

    CurrentNodeEnum(String desc) {
        this.desc = desc;
    }

}
